Difference between revisions of "Lines"
Line 5: | Line 5: | ||
</PRE> | </PRE> | ||
− | + | After you define two [[Points]], you use a very long command to make a line (see below for more info): | |
<PRE> | <PRE> | ||
Line 15: | Line 15: | ||
<PRE> | <PRE> | ||
ActiveModelReference.AddElement MyLine | ActiveModelReference.AddElement MyLine | ||
− | |||
− | |||
− | |||
− | |||
− | |||
− | |||
− | |||
− | |||
− | |||
− | |||
− | |||
− | |||
− | |||
− | |||
</PRE> | </PRE> | ||
Revision as of 14:20, 5 August 2010
You can't just draw a line. Instead you have to create a line in memory and then write it to the DGN file. So in a subroutine, first you set up a variable that will hold an element.
Dim oLine As Element
After you define two Points, you use a very long command to make a line (see below for more info):
Set oLine = CreateLineElement2(Nothing, ptStart, ptEnd)
Then you write the line to the DGN file:
ActiveModelReference.AddElement MyLine
Line Characteristics
Some settings are pretty easy, able to be set by changing values of properties in ActiveSettings (color numbers are part of Microstation; 0 is white; 1 is blue; 3 is red). When you create a line, all of the ActiveSettings will be used, so to get what you want (instead of whatever the current ActiveSetting is) you need to set all of characteristics you want:
ActiveSettings.Color = 0 ActiveSettings.LineWeight = 3
But since there are an infinite number of levels and they are named, you can't change levels quite that easily. First you have to set up a Level variable, then you can assign a level to it by looking for the name of the level (by default, levels are named "Level 1," "Level 2," etc.)
Dim oLevel as Level Set oLevel = ActiveDesignFile.Levels.Find("Level 2") Set ActiveSettings.Level = oLevel